Bug 160081 - Trying to remove non-existant Linux partition forces reboot.
Trying to remove non-existant Linux partition forces reboot.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
: FutureFeature
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2005-06-10 13:37 EDT by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-06-10 13:37:39 EDT
Description of problem:

After selecting to "Remove all Linux partitions" on a machine that does not
contain any, the installer displays an obfuscated error message[1] and then
forces a reboot.

[1]: "Could not allocate requested partitions:
Partitioning failed: Could not allocate partitions as primary partitions.
Press 'OK' to reboot your system"

Steps to Reproduce:
1. Select Automatically partition.
2. Select "Remove all Linux partitions on this system"
  
Actual results:

Generic error message is displayed, and forces a reboot.

Expected results:

Should say something to the effect of "No linux partitions were found on this
disk", and let the user select another option.
Comment 1 Chris Lumens 2005-06-16 14:32:24 EDT
What was your initial partitioning layout?  A quick test here shows that the
error message sequence was:

- "Could not allocate requested partitions:  Partitioning failed:  Could not
allocate partitions as primary partitions."
- Click OK.
- "The following errors occurred with your partitioning:  blah blah blah.  You
can choose a different automatic partitioning option, or click 'Back' to select
manual partitioning.  Press 'OK' to continue."
- Click OK.
- Back at automatic partitioning screen for a retry.

My partition table is two vfat partitions occupying the entire disk.
Comment 2 Luke Macken 2005-06-16 14:59:51 EDT
I'm not positive of the *exact* partition layout, but it was whatever IBM
shipped it to me with: a large NTFS and a Compaq Diagnostics partition.
Comment 3 David Cantrell 2006-02-03 12:59:14 EST
I cannot reproduce an error remotely close to what's described in this report. 
If the system lacks any Linux partitions, selecting "Remove all Linux
partitions" for the autolayout, Anaconda will display an error message telling
you to use another method.

I created several test scenarios and used the Remove all Linux partitions option
to automatically lay out partitions:

1) One Compaq Diag partition (0x12) unformatted, one NTFS partition (0x07)
unformatted.  Anaconda gave an error dialog saying it couldn't allocate
partitions as primary partitions.  Clicked ok and it gave another explanation
dialog and took me back to the automatic partitioning screen.

2) Same two partitions, but this time formatted as FAT32.  Anaconda behaved the
same here as it did in step 1.

3) Two NTFS partitions and one Compaq diag partition.  One NTFS partition
formatted as FAT32, one formatted as Linux ext3, and the diag partition
formatted as FAT32.  Anaconda ignored the two FAT32 filesystems, but used the
NTFS partition formatted as ext3.

I'm not sure what happened in your case, but without more to go on, I'm not sure
if this bug exists anymore.  Can you test either rawhide or FC5 Test 2 on this
system and see if it happens again?
Comment 4 John Thacker 2006-05-05 09:15:57 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.